/*****************************************************************************/
/*                                                                           */
/*  qasfilterP.h                                                             */
/*                                                                           */
/*                                                                           */
/*     Module:                                                               */
/*             qasfilter.o module                                            */
/*                                                                           */
/*     Description:                                                          */
/*             Protected header file for the qasfilter.c module.             */
/*                                                                           */
/*     History:                                                              */
/*             02/12/2002 - Fabien Chanussot - Creation                      */
/*                                                                           */
/*****************************************************************************/


/*****************************************************************************/
/* Use                                                                       */
/*****************************************************************************/


/*****************************************************************************/
/* Macros                                                                    */
/*****************************************************************************/

#define IP     0
#define ICMP   1
#define IGMP   2
#define TCP    6
#define EGP    8
#define UDP   17
#define PIM  103

/* port source d'un paquet TCP */
#define TCP_SPORT(p)    (((Octet)(p))[0] * 256 + ((Octet)(p))[1])     
/* port dest d'un paquet TCP */
#define TCP_DPORT(p)    (((Octet)(p))[2] * 256 + ((Octet)(p))[3])     

#define SKB_SADDR_IP(p)    ((p)->nh.iph->saddr)   
#define SKB_DADDR_IP(p)    ((p)->nh.iph->daddr)  
#define SKB_PROTOCOL_IP(p) ((p)->nh.iph->protocol)
#define SKB_LEN_IP(p)      (((p)->nh.iph->ihl) << 2) 
#define SKB_HEAD_IP(p)     ((struct iphdr * )((p)->data))


/*****************************************************************************/
/* Types                                                                     */
/*****************************************************************************/

/*****************************************************************************/
/* Global                                                                    */
/*****************************************************************************/

/* Netfilter hooks table */
extern struct nf_hook_ops qaspostroute_ops;


/*****************************************************************************/
/* Public functions                                                          */
/*****************************************************************************/






