/*****************************************************************************/
/*                                                                           */
/*  qasmainP.h                                                               */
/*                                                                           */
/*                                                                           */
/*     Module:                                                               */
/*             qasmain.o module                                              */
/*                                                                           */
/*     Description:                                                          */
/*             Protected header file for the qasmain.c module.               */
/*                                                                           */
/*     History:                                                              */
/*             02/12/2002 - Fabien Chanussot - Creation                      */
/*                                                                           */
/*****************************************************************************/


/*****************************************************************************/
/* Use                                                                       */
/*****************************************************************************/


/*****************************************************************************/
/* Macros                                                                    */
/*****************************************************************************/

#ifndef SEEK_SET
#define SEEK_SET        0
#endif
#ifndef SEEK_CUR
#define SEEK_CUR        1
#endif
#ifndef SEEK_END
#define SEEK_END        2
#endif

//Maximum number of streams that we can deal with in parallel. The DSCP is coded on a byte.
#define QAS_MAX_NUM_STREAMS 256


/*****************************************************************************/
/* Types                                                                     */
/*****************************************************************************/

typedef struct qasSoftState_s qasSoftState_t;

//Structure that groups the data saved with each data stream
struct qasSoftState_s 
{
  int32_t activity;
  unsigned char dscp;
};


/*****************************************************************************/
/* Global                                                                    */
/*****************************************************************************/

/* qasdev softstate table */
extern qasSoftState_t *qasdev_softstate;


/*****************************************************************************/
/* Public functions                                                          */
/*****************************************************************************/

extern void qasModuleDump();

#ifdef __cplusplus
}
#endif		/* __cplusplus */
